diff options
author | MarcoFalke <falke.marco@gmail.com> | 2020-01-02 13:51:30 -0500 |
---|---|---|
committer | MarcoFalke <falke.marco@gmail.com> | 2020-01-02 13:51:33 -0500 |
commit | 52900a764c4213f960d2b9c95d54f64753fcfedd (patch) | |
tree | cc7dca266e83c4a8aafe6c1ddf8df1408b64d468 | |
parent | 3f8dbcd655479ce2e564a8b17139aca19888ca79 (diff) | |
parent | 87744b16b02cb9e4f6e97509facf6cc781e60b98 (diff) |
Merge #17849: ci: Fix brew python link
87744b16b02cb9e4f6e97509facf6cc781e60b98 ci: Fix brew python link (Hennadii Stepanov)
Pull request description:
During the native macOS build on Travis brew-version python update from 3.7.5 to 3.7.6_1 causes link failure:
```
==> Upgrading python3
==> Downloading https://homebrew.bintray.com/bottles/python-3.7.6_1.mojave.bottl
==> Downloading from https://akamai.bintray.com/64/643d627c2b4fc03a3286c397d2992
######################################################################## 100.0%
==> Pouring python-3.7.6_1.mojave.bottle.tar.gz
Error: The `brew link` step did not complete successfully
The formula built, but is not symlinked into /usr/local
```
Close #17848
Top commit has no ACKs.
Tree-SHA512: 09164805c557e3bd21df2d0765a1c6815e786040e9ec0e81a916b2df6c4f03974cf92c31eca999b997f8c4ed0998bdd6e35c3de7ccbaaed3bf131521ecc637dc
-rwxr-xr-x | ci/test/04_install.sh | 1 |
1 files changed, 1 insertions, 0 deletions
diff --git a/ci/test/04_install.sh b/ci/test/04_install.sh index 4eb89ebf37..56f4ece1ad 100755 --- a/ci/test/04_install.sh +++ b/ci/test/04_install.sh @@ -16,6 +16,7 @@ if [ "$TRAVIS_OS_NAME" == "osx" ]; then git reset --hard origin/master popd || exit 1 set -o errexit + ${CI_RETRY_EXE} brew unlink python@2 ${CI_RETRY_EXE} brew update # brew upgrade returns an error if any of the packages is already up to date # Failure is safe to ignore, unless we really need an update. |